summaryrefslogtreecommitdiff
path: root/compile_debug.sh
diff options
context:
space:
mode:
authorSander Vrijders <sander.vrijders@intec.ugent.be>2016-02-12 13:27:40 +0100
committerSander Vrijders <sander.vrijders@intec.ugent.be>2016-02-12 13:27:40 +0100
commita59d0c7b448597865c679c9d19ee13de742cea02 (patch)
treeef683a73a509eed0aaf2dac9ce197cb2082ea29f /compile_debug.sh
parent4944a01444f146fdfb1a45ed346b5bc4744c0a45 (diff)
downloadouroboros-a59d0c7b448597865c679c9d19ee13de742cea02.tar.gz
ouroboros-a59d0c7b448597865c679c9d19ee13de742cea02.zip
include: Add logging infrastructure
Adds the logging infrastructure to the prototype. 2 helper scripts are also provided to compile the prototype in either release or debug mode. In debug mode debugging logs are printed.
Diffstat (limited to 'compile_debug.sh')
-rwxr-xr-xcompile_debug.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/compile_debug.sh b/compile_debug.sh
new file mode 100755
index 00000000..0b21b336
--- /dev/null
+++ b/compile_debug.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+ME=compile_debug
+
+if (($# == 1 ))
+then
+ PREFIX=`echo "$1"|sed -e "s,\/$,,"`
+else
+ PREFIX="/usr/local/ouroboros"
+fi
+
+BUILDDIR=build
+DEBUGDIR=debug
+
+echo "$ME: Prefix is $PREFIX"
+
+echo "$ME: Build directory will be '$BUILDDIR'"
+if test -n "$BUILDDIR" ; then
+ mkdir -p $BUILDDIR || {
+ echo "$ME: Cannot create directory '$BUILDDIR'"
+ }
+fi
+cd $BUILDDIR
+
+echo "$ME: Debug directory will be '$DEBUGDIR'"
+if test -n "$DEBUGDIR" ; then
+ mkdir -p $DEBUGDIR || {
+ echo "$ME: Cannot create directory '$DEBUGDIR'"
+ }
+fi
+cd $DEBUGDIR
+
+cmake -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Debug ../..
+
+make